### Constructor

# WebKit UserContentFilterStore new

#### Declaration [src]

    WebKitUserContentFilterStore*
    webkit_user_content_filter_store_new (
      const gchar* storage_path
    )

#### Description [src]

Create a new `WebKitUserContentFilterStore` to manipulate filters stored at `storage_path`.

The path must point to a local filesystem, and will be created if needed.

Available since: | 2.24

#### Parameters

`storage_path` | `const gchar*`
| Path where data for filters will be stored on disk.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `WebKitUserContentFilterStore`
| A newly created `WebKitUserContentFilterStore`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.